WayloAIWaylo Docs
APIReferenceSession events

Get session events

GET
/sessions/{sessionId}/events

Structured event trace for one session, in seq order: tool calls and results, turn metrics, provider failures and degradations, and startup failures. Workspace admin only.

Access: workspace_admin · API key sessions:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

sessionId*string

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/sessions/string/events' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "seq": 0,    "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1",    "parentIdempotencyKey": "c1eb3f1b-bee7-4992-9a20-f25c89670883",    "category": "session",    "name": "start_failed",    "severity": "info",    "stage": "stt",    "provider": "string",    "model": "string",    "subject": "string",    "code": "invalid_dispatch",    "occurredAt": "2019-08-24T14:15:22Z",    "payload": {},    "createdAt": "2019-08-24T14:15:22Z"  }]